package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 菜单表 不同系统,菜单不一致
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaOrgCity implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 省份id
     * 城市id
     */
    private Integer id;

    /**
     * 省市区名称
     */
    private String name;

    /**
     * 公司ID
     */
    private Integer  orgId;

    /**
     *状态0无效，1有效
     */
    private Integer status;

    /**
     * 上级ID
     */
    private Integer parentid;
}
